## com.sun.jersey.api.core
Interface HttpContext

All Superinterfaces:
  Traceable

All Known Subinterfaces:
  UriRuleContext

    public interface HttpContext

extends Traceable

A HttpContext makes it possible for a web resource implementation class to access and manipulate HTTP request and response information directly. Typically a HttpContext is injected on to a resource class using the annotation `Context`.

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()` Get the mutable properties.
`HttpRequestContext` | `getRequest()` Get the HTTP request information.
`HttpResponseContext` | `getResponse()` Get the HTTP response information.
`ExtendedUriInfo` | `getUriInfo()` Get the extended URI information.

Methods inherited from interface com.sun.jersey.api.core.Traceable
`isTracingEnabled, trace`

Method Detail

### getUriInfo

    ExtendedUriInfo getUriInfo()

  Get the extended URI information.

  Returns:
    the extended URI information.

### getRequest

    HttpRequestContext getRequest()

  Get the HTTP request information.

  Returns:
    the HTTP request information

### getResponse

    HttpResponseContext getResponse()

  Get the HTTP response information.

  Returns:
    the HTTP response information

### getProperties

    java.util.Map<java.lang.String,java.lang.Object> getProperties()

  Get the mutable properties.

  Care should be taken not to clear the properties or remove properties that are unknown otherwise unspecified behaviour may result.

  Returns:
    the properties.

Copyright © 2017 Oracle Corporation. All Rights Reserved.